.input-container {
  position: relative;
  width: 100%;
}

.floating-label {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  background: white;
  padding: 0 5px;
  color: #aaa;
  font-size: 16px;
  pointer-events: none;
  transition: top 0.2s ease-out, font-size 0.2s ease-out, color 0.2s ease-out;
}

.floating-input {
  width: 100%;
  padding: 12px 10px;
  border: 1px solid #ccc; /* Fixierte Border-Breite */
  border-radius: 5px;
  font-size: 16px;
  outline: none;
  transition: border-color 0.2s ease-out;
  background-color: transparent;
}

/* Effekt beim Fokussieren oder wenn das Feld gefüllt ist */
.floating-input:focus + .floating-label,
.floating-input:not(:placeholder-shown) + .floating-label {
  top: 0; /* Leicht über das Inputfeld bewegen */
  font-size: 12px;
  color: #007bff;
}

/* Verstärkte Farbe beim Fokussieren */
.floating-input:focus {
  border-color: #007bff; /* Nur die Farbe ändern, nicht die Breite! */
}

.bs-icon {
  --bs-icon-size: .75rem;
  display: flex;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  font-size: var(--bs-icon-size);
  width: calc(var(--bs-icon-size) * 2);
  height: calc(var(--bs-icon-size) * 2);
  color: var(--bs-primary);
}

.bs-icon-xs {
  --bs-icon-size: 1rem;
  width: calc(var(--bs-icon-size) * 1.5);
  height: calc(var(--bs-icon-size) * 1.5);
}

.bs-icon-sm {
  --bs-icon-size: 1rem;
}

.bs-icon-md {
  --bs-icon-size: 1.5rem;
}

.bs-icon-lg {
  --bs-icon-size: 2rem;
}

.bs-icon-xl {
  --bs-icon-size: 2.5rem;
}

.bs-icon.bs-icon-primary {
  color: var(--bs-white);
  background: var(--bs-primary);
}

.bs-icon.bs-icon-primary-light {
  color: var(--bs-primary);
  background: rgba(var(--bs-primary-rgb), .2);
}

.bs-icon.bs-icon-semi-white {
  color: var(--bs-primary);
  background: rgba(255, 255, 255, .5);
}

.bs-icon.bs-icon-rounded {
  border-radius: .5rem;
}

.bs-icon.bs-icon-circle {
  border-radius: 50%;
}

